% Kiinnitetn resistanssi, induktanssi, hitausmomentti ja verrannollisuuskertoimet
clear
R = 1;
L = 1;
Jm = 1;
J = 10;
k1 = 1;
k2 = 1;
k = 1;
b = 1;

%Muodostetaan matriisit tehtvn a-, b- ja c-kohtia varten
Aa = [ -R/L,     0, -k1/L,    0, 0;
          0,     0,     1,    0, 0;
      k2/Jm, -k/Jm, -b/Jm, k/Jm, 0;
          0,     0,     0,    0, 1;
          0,   k/J,     0, -k/J, 0];

Ba = [1/L;
        0;
        0;
        0;
        0];

Ja = J + Jm;

Ab = [ -R/L, 0, -k1/L;
          0, 0,     1;
      k2/Ja, 0, -b/Ja];

Bb = [1/L;
        0;
        0];

Ac = [0,                     1;
      0, -(R*b + k1*k2)/(Ja*R)];

Bc = [        0;
      k2/(Ja*R)];

%simuloidaan systeemi
%simulaatio kirjoittaa muuttujat ya,yb ja yc Matlabin workspaceen.
[t] = sim('lh4t2');

%piirretn kuvaajat
figure
plot(t, ya, '-k', t, yb, '--k', t, yc, '-*k', 'LineWidth',1)
title('Laskuharjoitus 4, tehtv 4')


%asetetaan teksti kulkemaan Matlabin latex-tulkin kautta, jolloin saadaan
%kauniimman nkist teksti ja esim. merkint "$\dot{\theta} (t)$"
%toimimaan
set(gcf, 'defaulttextinterpreter', 'latex')
ylabel('$\dot{\theta} (t)$', 'FontSize', 16)
xlabel('$t$', 'FontSize', 16)

%takaisin normaaliksi
set(gcf, 'defaulttextinterpreter', 'none')
h_legend = legend('Elastinen akseli', 'Jykk akseli', 'Jykk akseli, L=0',...
    'Location', 'SouthEast');
set(h_legend, 'FontSize', 14);

grid on
