%%
%asetetaan parametrin a arvo (u:n muuttumisnopeus)
a=0.01;
%tehtvnannossa x_1(0)=5, x_2(0)=0
x_1_0=5.0;
x_2_0=0.0;
%askelmainen hiri
hairio=1;
%maksimi simulointi-aika a-kohdassa
%voi kasvattaa 5000 s kuten tehtvnannossa on mainittu, laskenta-aika
%luonnollisesti pitenee. 
t_max_pitka=1000;
%maksimi simulointi-aika b-kohdassa
t_max_lyhyt=0.001;

%% a-kohta
%a-kohdassa ei askelmaista hirit
K=0.0;

%simuloidaan a-kohdan systeemi
%tic & toc komennoilla saadaan tic- ja toc komentojen
%vliss kulunut aika, eli laskenta-aika.
disp('Lasketaan a-kohdan approsimaatiota mallille...')
tic;
simPitka = sim('lh4t3a', 'StopTime', num2str(t_max_pitka));
t_calc_pitka=toc;

fprintf('Laskentaan kului %.5f s\n',t_calc_pitka);

%simuloidaan tarkkaa systeemi
disp('Lasketaan tarkkaa mallia...')
tic
simTarkka = sim('lh4t3c', 'StopTime', num2str(t_max_pitka));
t_calc_tarkkapitka=toc;
fprintf('Laskentaan kului %.5f s\n',t_calc_tarkkapitka);

%Piirretn kuvaaja. Zoomaa kuvaajaan nkeksi kyrien vlisen eron.
figure
plot(simPitka.tout, simPitka.y_pitka, '-b',...
    simTarkka.tout, simTarkka.y_tarkka,'-r');
titleStr=sprintf('Laskenta-ajat: a-kohdan malli %.5f s, tarkka malli %.5f s',t_calc_pitka,t_calc_tarkkapitka);
title(titleStr);
legend('a-kohdan malli','tarkka malli')
grid on

%% b-kohta
%askelmainen hiri
K=hairio;

%simuloidaan b-kohdan systeemi
disp('Lasketaan b-kohdan approsimaatiota mallille...')
tic
simLyhyt = sim('lh4t3b', 'StopTime', num2str(t_max_lyhyt));
t_calc_lyhyt=toc;
fprintf('Laskentaan kului %.5f s\n',t_calc_lyhyt);

%simuloidaan oikeaa systeemi
disp('Lasketaan tarkkaa mallia...')
tic
simTarkka = sim('lh4t3c', 'StopTime', num2str(t_max_lyhyt));
t_calc_tarkkalyhyt=toc;
fprintf('Laskentaan kului %.5f s\n',t_calc_tarkkalyhyt);

%Piirretn kuvaaja. Zoomaa kuvaajaan nkeksi kyrien vlisen eron.
figure
plot(simLyhyt.tout, simLyhyt.y_lyhyt, '-b',...
    simTarkka.tout, simTarkka.y_tarkka, '-r');
titleStr=sprintf('Laskenta-ajat: b-kohdan malli %.5f s, tarkka malli %.5f s',t_calc_lyhyt,t_calc_tarkkalyhyt);
title(titleStr);
legend('b-kohdan malli','tarkka malli')
grid on


    